Get Content Agent slot
curl --request GET \
--url https://server.promptwatch.com/api/v2/content-agent/slots/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://server.promptwatch.com/api/v2/content-agent/slots/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://server.promptwatch.com/api/v2/content-agent/slots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PLANNED",
"generateBy": "2023-11-07T05:31:56Z",
"publishAt": "2023-11-07T05:31:56Z",
"priorityScore": 123,
"prioritizationReason": "<string>",
"scheduledAtReason": "<string>",
"documentConfiguration": {
"personaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contentType": "ARTICLE",
"contentLength": "SHORT",
"toneOfVoice": "PROFESSIONAL",
"enabledTools": [
"GOOGLE_SEARCH"
],
"contentLanguageCode": "<string>"
},
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documentTitle": "<string>",
"contentType": "ARTICLE",
"contentLength": "SHORT",
"toneOfVoice": "PROFESSIONAL",
"personaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"personaName": "<string>",
"title": "<string>",
"publishAttempts": 123,
"failureReason": "<string>",
"autoApproved": true,
"publishSource": "AUTOMATIC",
"publishedAt": "2023-11-07T05:31:56Z",
"publishedByName": "<string>",
"source": "<string>",
"recommendationTitle": "<string>",
"contentGapId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publishState": "LIVE",
"cmsProvider": "<string>",
"liveUrl": "<string>",
"viewUrl": "<string>",
"viewUrlKind": "live",
"content": "<string>",
"description": "<string>",
"declineReason": "<string>",
"recommendationDetails": "<string>",
"recommendationImpact": "<string>",
"recommendationEffort": "<string>"
}{
"error": "Unauthorized",
"message": "Missing or invalid X-API-Key header."
}{
"code": "CONTENT_AUTOMATION_SLOT_NOT_FOUND",
"message": "Content piece not found"
}{
"code": "CONTENT_AUTOMATION_SLOT_NOT_FOUND",
"message": "Content piece not found"
}Content Agent
Get Content Agent slot
Returns one scheduled content piece including draft body and decline reason when present.
GET
/
content-agent
/
slots
/
{id}
Get Content Agent slot
Authorizations
API key for authentication. Get yours from the Promptwatch dashboard under Settings > API Keys.
Path Parameters
Content schedule slot id.
Response
Default Response
Resource identifier
Slot lifecycle status.
Available options:
PLANNED, GENERATING, REVIEW, APPROVED, SCHEDULED, PUBLISHED, DEFERRED, SUPPRESSED, FAILED When generation is due.
Scheduled publish time.
Per-slot content options applied when the piece is generated.
Show child attributes
Show child attributes
Available options:
ARTICLE, BLOG_POST, OPINION, LISTICLE, HOW_TO, REVIEW, COMPARISON, CASE_STUDY, INTERVIEW, DOCUMENTATION, WIKI, PRODUCT_PAGE, LANDING_PAGE, PRESS_RELEASE, GENERIC_CONTENT, PRODUCT_COMPARISON Available options:
SHORT, MEDIUM, LONG Available options:
PROFESSIONAL, CASUAL, TECHNICAL, CONVERSATIONAL, NEUTRAL, AUTHORITATIVE, FRIENDLY, PERSUASIVE Display title for the scheduled piece.
Available options:
AUTOMATIC, MANUAL Timestamp (ISO 8601)
Backlog source label (content gap, prompt, etc.).
Available options:
LIVE, DRAFT Best available link (live, draft, or CMS editor).
Available options:
live, draft, cmsEditor Markdown draft body; empty until generated.